package activity

// 定义 Temporal Activity 接口
import (
	"beacon/server/gen/pb" // 替换为你的模块路径
	"context"
)

// 定义活动接口，Python Worker 将实现这些接口
// Temporal Go SDK 会在编译时通过 go-temporal 插件自动生成这些接口的实现桩
// 使得你可以直接调用这些接口，而实际执行在 Python Worker 中。

// RunApiTest 是执行接口测试的活动
func RunApiTest(ctx context.Context, req *pb.ApiTestRequest) (*pb.ApiTestResult, error) {
	// 实际调用会被转发到 Python Worker
	return nil, nil // Go 侧不需要实现，由 Temporal SDK 代理
}

// RunUiTest 是执行 UI 测试的活动
func RunUiTest(ctx context.Context, req *pb.UiTestRequest) (*pb.UiTestResult, error) {
	// 实际调用会被转发到 Python Worker
	return nil, nil // Go 侧不需要实现，由 Temporal SDK 代理
}
